%define major		18
%define minimajor	18
%define libname		%mklibname totem-plparser %{major}
%define girname		%mklibname totem-plparser-gir 1.0
%define libnamedev	%mklibname totem-plparser -d
%define minilibname	%mklibname totem-plparser-mini %{minimajor}

%define url_ver		%(echo %{version}|cut -d. -f1,2)

Name:		totem-pl-parser
Version:	3.26.5
Release:	%mkrel 1
Summary:	Playlist parser library from the Totem Movie Player
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.hadess.net/totem.php3
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.24.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gmime-2.6)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libarchive) >= 3.0
BuildRequires:	pkgconfig(libquvi-0.9) >= 0.9.1
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.43.0
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	locales
BuildRequires:	meson
# ovitters: for tests
BuildRequires:	lua-socket
BuildRequires:	glib-networking
BuildRequires:	gvfs

%description
Shared library used by totem.

%package	i18n
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Internationalization
BuildArch:	noarch

%description	i18n
This package contains the translations for %{name}.

%package -n	%{libname}
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n	%{libname}
Shared library used by totem.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}
Conflicts:	%{_lib}totem-plparser17 < 2.32.5-4

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n	%{minilibname}
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n	%{minilibname}
Shared library used by totem - minimal version.

%package -n	%{libnamedev}
Summary:	Static libraries, include files for totem playlist parser
Group:		Development/GNOME and GTK+
Provides:	totem-plparser-devel = %{version}
Provides:	libtotem-plparser-devel = %{version}
Requires:	%{libname} = %{version}
Requires:	%{minilibname} = %{version}
Requires:	%{girname} = %{version}

%description -n	%{libnamedev}
Static libraries, include files for totem playlist parser.

%prep
%autosetup -p1

%build
%meson -Denable-gtk-doc=true
%meson_build

%install
export LANG=UTF-8
%meson_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%check
%meson_test

%files
%{_libexecdir}/%{name}/

%files i18n -f %{name}.lang

%files -n %{libname}
%doc README NEWS
%{_libdir}/libtotem-plparser.so.%{major}{,.*}

%files -n %{minilibname}
%{_libdir}/libtotem-plparser-mini.so.%{minimajor}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/TotemPlParser-1.0.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/TotemPlParser-1.0.gir
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}/


%changelog
* Fri Feb 28 2020 ovitters <ovitters> 3.26.5-1.mga8
+ Revision: 1551791
- new version 3.26.5

* Tue Feb 18 2020 umeabot <umeabot> 3.26.4-2.mga8
+ Revision: 1538037
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 ovitters <ovitters> 3.26.4-1.mga8
+ Revision: 1459505
- new version 3.26.4

* Thu Apr 18 2019 umeabot <umeabot> 3.26.3-2.mga7
+ Revision: 1392944
- Rebuild with meson 0.50.1

* Tue Mar 05 2019 ovitters <ovitters> 3.26.3-1.mga7
+ Revision: 1371643
- new version 3.26.3

* Wed Jan 16 2019 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1357418
- new version 3.26.2

* Sun Sep 23 2018 umeabot <umeabot> 3.26.1-2.mga7
+ Revision: 1301443
- Mageia 7 Mass Rebuild

* Thu Jun 14 2018 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1236875
- new version 3.26.1

* Thu Sep 14 2017 tv <tv> 3.26.0-1.mga7
+ Revision: 1153858
- enable doc thus fixing file list
+ ovitters <ovitters>
- new version 3.26.0
- switch to meson
- new version 3.25.90

* Mon Jul 17 2017 ovitters <ovitters> 3.10.8-1.mga7
+ Revision: 1124643
- new version 3.10.8

* Mon Sep 26 2016 tv <tv> 3.10.7-2.mga6
+ Revision: 1056846
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Tue Sep 20 2016 ovitters <ovitters> 3.10.7-1.mga6
+ Revision: 1054653
- new version 3.10.7

* Wed Feb 17 2016 umeabot <umeabot> 3.10.6-2.mga6
+ Revision: 963154
- Mageia 6 Mass Rebuild
+ ovitters <ovitters>
- new version 3.10.6

* Mon Sep 14 2015 fwang <fwang> 3.10.5-3.mga6
+ Revision: 879084
- rebuild for new libgcrypt

* Mon Jun 29 2015 wally <wally> 3.10.5-2.mga6
+ Revision: 847846
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 3.10.5-1.mga6
+ Revision: 836362
- new version 3.10.5

* Tue Feb 17 2015 ovitters <ovitters> 3.10.4-1.mga5
+ Revision: 815388
- new version 3.10.4

* Wed Oct 15 2014 umeabot <umeabot> 3.10.3-3.mga5
+ Revision: 740851
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 3.10.3-2.mga5
+ Revision: 724966
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Mon Sep 22 2014 ovitters <ovitters> 3.10.3-1.mga5
+ Revision: 719201
- new version 3.10.3

* Tue Sep 16 2014 umeabot <umeabot> 3.10.2-2.mga5
+ Revision: 689930
- Mageia 5 Mass Rebuild

* Mon Mar 24 2014 ovitters <ovitters> 3.10.2-1.mga5
+ Revision: 607888
- new version 3.10.2

* Tue Feb 18 2014 ovitters <ovitters> 3.10.1-1.mga5
+ Revision: 594380
- new version 3.10.1

* Sat Feb 08 2014 fwang <fwang> 3.10.0-5.mga5
+ Revision: 586321
- rebuild for new quvi

* Sat Feb 08 2014 ovitters <ovitters> 3.10.0-4.mga5
+ Revision: 586138
- rebuild for new quvi

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-3.mga4
+ Revision: 538746
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 3.10.0-2.mga4
+ Revision: 490287
- rebuild for new libquvi

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 483846
- new version 3.10.0

* Wed Sep 18 2013 fwang <fwang> 3.9.92-1.mga4
+ Revision: 481256
- update libmajor
+ ovitters <ovitters>
- new version 3.9.92

* Sun Sep 01 2013 fwang <fwang> 3.9.5-2.mga4
+ Revision: 473838
- rebuild for new libquvi

* Sat Aug 03 2013 fwang <fwang> 3.9.5-1.mga4
+ Revision: 462795
- add file list
- new version 3.9.5

* Fri Jun 28 2013 fwang <fwang> 3.4.5-3.mga4
+ Revision: 447750
- rebuild for new libarchive

* Wed May 29 2013 fwang <fwang> 3.4.5-2.mga4
+ Revision: 430478
- disable quvi to wait upstream support quvi-0.9

* Sat May 25 2013 ovitters <ovitters> 3.4.5-1.mga4
+ Revision: 427249
- new version 3.4.5

* Mon Jan 14 2013 umeabot <umeabot> 3.4.3-2.mga3
+ Revision: 384706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 295852
- new version 3.4.3

* Sun Aug 05 2012 wally <wally> 3.4.2-3.mga3
+ Revision: 278910
- make devel pkg to not require gir pkg

* Thu Jul 19 2012 ovitters <ovitters> 3.4.2-2.mga3
+ Revision: 272702
- i18n is noarch
- clean spec

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235717
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231070
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227103
- new version 3.4.0

* Sun Mar 18 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 223804
- new version 3.3.92
- drop merged link patch

* Tue Feb 21 2012 fwang <fwang> 3.2.0-1.mga2
+ Revision: 211482
- br gettext
- br gtk-doc
- fix linkage
- new version 3.2.0

* Wed Jan 04 2012 fwang <fwang> 2.32.6-2.mga2
+ Revision: 190643
- rebuild for new libarchive

* Tue Sep 20 2011 fwang <fwang> 2.32.6-1.mga2
+ Revision: 146063
- new version 2.32.6

* Thu Sep 15 2011 fwang <fwang> 2.32.5-4.mga2
+ Revision: 143818
- drop .la files
- split out typelib
+ wally <wally>
- rebuild for new gmime
- don't regenerate gtk-docs
- add libarchive BR

* Sun Jul 10 2011 fwang <fwang> 2.32.5-2.mga2
+ Revision: 121650
- rebuild for new typelibprovides

* Tue Jun 21 2011 pterjan <pterjan> 2.32.5-1.mga2
+ Revision: 110802
- Update to 2.32.5

* Thu Apr 14 2011 pterjan <pterjan> 2.32.4-1.mga1
+ Revision: 85494
- Update to 2.32.4

* Wed Feb 23 2011 pterjan <pterjan> 2.32.3-1.mga1
+ Revision: 57180
- Update to 2.32.3

* Sun Jan 23 2011 pterjan <pterjan> 2.32.1-1.mga1
+ Revision: 35330
- Drop old stuff
- imported package totem-pl-parser


* Mon Oct 18 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 586628
- update to new version 2.32.1

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581882
- update to new version 2.32.0

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578816
- new version
- drop patch

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 578196
- new version
- fix introspection build (b.g.o #629342)

* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-2mdv2011.0
+ Revision: 568245
- rebuild for new libproxy

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 565868
- update build deps
- update to new version 2.30.2

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 2.30.1-2mdv2011.0
+ Revision: 563907
- rebuild for new gobject-introspection

* Wed May 12 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-1mdv2010.1
+ Revision: 544601
- Release 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528904
- update to new version 2.30.0

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 520295
- new version
- update file list

  + Funda Wang <fwang@mandriva.org>
    - linkage patch not needed

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 497199
- new version
- new major
- update build deps
- enable introspection

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 476373
- update to new version 2.28.2

* Tue Sep 29 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.0
+ Revision: 450968
- update to new version 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446472
- update to new version 2.28.0

* Tue Sep 15 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 443022
- update to new version 2.27.92

* Thu Jul 23 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 399059
- new version
- update build deps

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374161
- new version

* Sun May 03 2009 Funda Wang <fwang@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 370844
- New version 2.26.2

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 362899
- new version

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355754
- new version
- fix linking
- update build deps

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347809
- update to new version 2.25.92

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 337016
- new version
- drop patch

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.1-3mdv2009.1
+ Revision: 336623
- rebuild

* Fri Dec 19 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-2mdv2009.1
+ Revision: 316263
- fix exported symbols again (upstream bug #556719)

* Mon Dec 08 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 311777
- update to new version 2.25.1

* Mon Dec 08 2008 Götz Waschk <waschk@mandriva.org> 2.24.3-1mdv2009.1
+ Revision: 311769
- update to new version 2.24.3

* Sat Nov 08 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-3mdv2009.1
+ Revision: 301149
- rebuild for new libxcb

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-2mdv2009.1
+ Revision: 299495
- rebuild for new evolution-data-server

* Thu Oct 30 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 298744
- new version
- drop patch

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-3mdv2009.1
+ Revision: 295653
- rebuild

* Sat Oct 18 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-2mdv2009.1
+ Revision: 294972
- fix python binding (bug #43622)

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 291932
- new version
- drop patch

* Thu Oct 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.24.0-2mdv2009.0
+ Revision: 290752
- Patch0 (SVN): bug fixes from SVN

* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286361
- new version

* Fri Aug 29 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 277464
- new version

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-3mdv2009.0
+ Revision: 241879
- rebuild for missing packages

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-2mdv2009.0
+ Revision: 240200
- rebuild

* Mon Jul 14 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 234534
- fix buildrequires
- new version
- drop patch and all build workarounds

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.2-1mdv2009.0
+ Revision: 231097
- patch to make it build
- new version
- new major
- fix build

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 193794
- new version
- drop patch

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.1-3mdv2008.1
+ Revision: 191630
- Patch0: various parsing fixes from SVN

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-2mdv2008.1
+ Revision: 190454
- rebuild

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2008.1
+ Revision: 183427
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 174560
- new version

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-2mdv2008.1
+ Revision: 160401
- rebuild

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 156135
- new version
- add devel docs

* Mon Jan 07 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 146326
- new version
- update deps

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 2.21.6-1mdv2008.1
+ Revision: 115989
- new version
-new major

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 115195
- import totem-pl-parser


* Tue Dec  4 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
- initial package
